import { ElasticsearchQueryBuilderOperatorBetweenPlugin, ElasticsearchQueryBuilderJapaneseOperatorContainsPlugin, ElasticsearchQueryBuilderOperatorAndInPlugin, ElasticsearchQueryBuilderOperatorGreaterThanOrEqualToPlugin, ElasticsearchQueryBuilderOperatorGreaterThanPlugin, ElasticsearchQueryBuilderOperatorContainsPlugin, ElasticsearchQueryBuilderOperatorLesserThanOrEqualToPlugin, ElasticsearchQueryBuilderOperatorInPlugin, ElasticsearchQueryBuilderOperatorLesserThanPlugin, ElasticsearchQueryBuilderOperatorNotBetweenPlugin, ElasticsearchQueryBuilderOperatorNotContainsPlugin, ElasticsearchQueryBuilderOperatorNotPlugin, ElasticsearchQueryBuilderOperatorNotInPlugin, ElasticsearchQueryBuilderOperatorEqualPlugin, ElasticsearchQueryBuilderOperatorStartsWithPlugin, ElasticsearchQueryBuilderOperatorNotStartsWithPlugin } from "./plugins/operator";
import { PluginsContainer } from "@webiny/plugins";
import { ElasticsearchQueryBuilderOperatorPlugin } from "./plugins/definition/ElasticsearchQueryBuilderOperatorPlugin";
/**
 * We export as a function because there might be something to be sent to the operators at some point.
 * This way, we make it easier to upgrade.
 */
export declare const getElasticsearchOperators: () => (ElasticsearchQueryBuilderOperatorBetweenPlugin | ElasticsearchQueryBuilderOperatorContainsPlugin | ElasticsearchQueryBuilderOperatorEqualPlugin | ElasticsearchQueryBuilderOperatorGreaterThanPlugin | ElasticsearchQueryBuilderOperatorGreaterThanOrEqualToPlugin | ElasticsearchQueryBuilderOperatorAndInPlugin | ElasticsearchQueryBuilderOperatorInPlugin | ElasticsearchQueryBuilderOperatorLesserThanPlugin | ElasticsearchQueryBuilderOperatorLesserThanOrEqualToPlugin | ElasticsearchQueryBuilderOperatorNotPlugin | ElasticsearchQueryBuilderOperatorNotBetweenPlugin | ElasticsearchQueryBuilderOperatorNotContainsPlugin | ElasticsearchQueryBuilderOperatorNotInPlugin | ElasticsearchQueryBuilderOperatorStartsWithPlugin | ElasticsearchQueryBuilderOperatorNotStartsWithPlugin | ElasticsearchQueryBuilderJapaneseOperatorContainsPlugin)[];
export declare const getElasticsearchOperatorPluginsByLocale: (plugins: PluginsContainer, locale: string) => Record<string, ElasticsearchQueryBuilderOperatorPlugin>;
